<?php

namespace Controller;

use Model\ModelAdmin;

class ControllerAdmin
{
    public function addQuestion(): void
    {
        (new ModelAdmin())->addQuestion();
    }

    public function createForm(): void
    {
        (new ModelAdmin())->createForm();
    }

    public function goToAdminPage(): void
    {
        global $rep, $views;

        $categories = (new ModelAdmin())->getCategories();
        $questions = (new ModelAdmin())->getQuestions();

        require_once($rep.$views['admin']);
    }

    public function addKeyword(): void
    {
        (new ModelAdmin())->addKeyword();
    }
}
